| ospipsv Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XOspiPsv_Config Struct Reference
OSPIPSV APIs

This typedef contains configuration information for the device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Base address of the device. More...
u32 | InputClockHz
| Input clock frequency. More...
u8 | IsCacheCoherent
| If OSPI is Cache Coherent or not. More...
u8 | ConnectionMode
| OSPI connection mode. More...
u8 | BusWidth
| Bus width available on board. More...

## Detailed Description

This typedef contains configuration information for the device.

## Field Documentation

UINTPTR XOspiPsv_Config::BaseAddress

Base address of the device.

Referenced by XOspiPsv_CalculateRxTap(), XOspiPsv_CfgInitialize(), XOspiPsv_CheckDmaDone(), XOspiPsv_CheckOspiIdle(), XOspiPsv_Config_Dma(), XOspiPsv_Config_IndirectAhb(), XOspiPsv_ConfigDualByteOpcode(), XOspiPsv_ConfigureAutoPolling(), XOspiPsv_ConfigureTaps(), XOspiPsv_DeviceResetViaOspi(), XOspiPsv_Exec_Dma(), XOspiPsv_Exec_Flash_Cmd(), XOspiPsv_ExecuteRxTuning(), XOspiPsv_FifoRead(), XOspiPsv_FifoWrite(), XOspiPsv_GetOptions(), XOspiPsv_IDac_Write(), XOspiPsv_Idle(), XOspiPsv_IntrHandler(), XOspiPsv_IntrTransfer(), XOspiPsv_PollTransfer(), XOspiPsv_Reset(), XOspiPsv_SetClkPrescaler(), XOspiPsv_SetDllDelay(), XOspiPsv_SetOptions(), XOspiPsv_SetSdrDdrMode(), XOspiPsv_Setup_Dev_Read_Instr_Reg(), XOspiPsv_Setup_Dev_Write_Instr_Reg(), XOspiPsv_Setup_Devsize(), XOspiPsv_Setup_Stig_Ctrl(), XOspiPsv_Start_Indr_RdTransfer(), XOspiPsv_StartDmaTransfer(), XOspiPsv_Stig_Read(), XOspiPsv_Stig_Write(), and XOspiPsv_WaitForLock().

u8 XOspiPsv_Config::BusWidth

Bus width available on board.

Referenced by XOspiPsv_CfgInitialize().

u8 XOspiPsv_Config::ConnectionMode

OSPI connection mode.

Referenced by FlashErase(), FlashRead(), GetRealAddr(), OspiPsvFlashNonBlockingReadExample(), OspiPsvInterruptFlashExample(), OspiPsvPolledFlashExample(), and XOspiPsv_CfgInitialize().

u16 XOspiPsv_Config::DeviceId

Unique ID of device.

u32 XOspiPsv_Config::InputClockHz

Input clock frequency.

Referenced by XOspiPsv_CalculateRxTap(), and XOspiPsv_CfgInitialize().

u8 XOspiPsv_Config::IsCacheCoherent

If OSPI is Cache Coherent or not.

Referenced by XOspiPsv_CfgInitialize(), XOspiPsv_CheckDmaDone(), XOspiPsv_Config_Dma(), XOspiPsv_Dma_Read(), and XOspiPsv_IntrHandler().